## binclock 0.3.2-1

=== Makefile ===
# This makefile is suitable for Debian package building tools

DESTDIR =

CHDIR = cd
LNS = ln -s

INSTALL = $(shell which install)

BINDIR = $(DESTDIR)/usr/bin


all:

install:
	$(INSTALL) -m 755 -o root -g root binclock.py $(BINDIR)/binclock.py
	$(CHDIR) $(BINDIR) && \
	$(RM) binclock && \
	$(LNS) binclock.py binclock

=== debian/changelog ===
binclock (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Complete rewrite (to be much more object oriented).

 -- Brian Gajdos <brian@linuxee.sk>  Sun,  7 Oct 2001 22:35:30 +0200

binclock (0.2.5-1) unstable; urgency=low

  * Initial Release.

 -- Brian Gajdos <brian@linuxee.sk>  Sat,  6 Oct 2001 05:13:37 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: binclock
Section: utils
Priority: optional
Maintainer: Brian Gajdos <brian@linuxee.sk>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: binclock
Architecture: any
Depends: python2-base
Description: A fullscreen console binary clock.
 Binary clocks show the time using blinking LEDs to represent 0s and 1s.
 The time is cut into decimal digits, each represented by a column of
 four LEDs ("bits"). This clock is mainly for amusement, but it can be
 used to train humans to "read" binary numbers pretty fast.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/binclock.sgml > binclock.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/binclock.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/binclock


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## binclock 1.4

=== Makefile ===
#
# binclock Makefile by Nico Golde <nico@ngolde.de>
#
# Copyright (C) 2004 Nico Golde <nico@ngolde.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (see the file COPYING); if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA  02111-1307, USA
#

CC = gcc
CFLAGS = -O2 -Wall --pedantic
BIN = binclock
SRC = ./src/binclock.c
INSPATH = /usr/local/bin/
SOURCEPATH = ./
MANPATH = /usr/man/man1/
CONF = /etc/

all : $(MAINSRC)
	$(CC) $(CFLAGS) -o $(BIN) $(SRC)
	strip $(SOURCEPATH)$(BIN)

install : binclock

	chmod 644 $(SOURCEPATH)doc/binclock.1
	cp -pf $(SOURCEPATH)doc/binclock.1 $(MANPATH)
	cp -pf $(BIN)rc $(HOME)/.$(BIN)rc
	cp -pf $(SOURCEPATH)$(BIN) $(INSPATH)
	cp -pf $(BIN)rc $(CONF)binclockrc
	install -c -s -m 0755 $(BIN) $(INSPATH)
		
clean : binclock
	rm -f $(SOURCEPATH)$(BIN)

uninstall : 
	rm -f $(INSPATH)binclock
	rm -f $(CONF)$(BIN)rc
	rm -f $(MANPATH)/binclock.1
	rm -f $(HOME)/.binclockrc

## binclock 1.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
+# binclock Makefile by Nico Golde <binclock@ngolde.de>
 #
-# binclock Makefile by Nico Golde <nico@ngolde.de>
-#
-# Copyright (C) 2004 Nico Golde <nico@ngolde.de>
+# Copyright (C) 2004 Nico Golde <binclock@ngolde.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,7 +31,7 @@
 	$(CC) $(CFLAGS) -o $(BIN) $(SRC)
 	strip $(SOURCEPATH)$(BIN)
 
-install : binclock
+install :
 
 	chmod 644 $(SOURCEPATH)doc/binclock.1
 	cp -pf $(SOURCEPATH)doc/binclock.1 $(MANPATH)
@@ -41,7 +40,7 @@
 	cp -pf $(BIN)rc $(CONF)binclockrc
 	install -c -s -m 0755 $(BIN) $(INSPATH)
 		
-clean : binclock
+clean : 
 	rm -f $(SOURCEPATH)$(BIN)
 
 uninstall :

=== debian/changelog ===
binclock (1.5-11) unstable; urgency=medium

  * QA upload.
  * debian/control: added a VCS (Git) to control the package.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Filipi Souza <filipi.saci@gmail.com>  Sat, 06 Jun 2020 09:04:28 -0300

binclock (1.5-10) unstable; urgency=medium

  * QA upload.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Full update.
  * debian/patches:
      - 20-hardening.patch: created to fix hardening flags.
      - 30-build-cross.patch: creted to fix FTCBFS. Thanks to Helmut Grohne
        <helmut@subdivi.de> (Closes: #960290)
  * debian/rules: added all hardening flags.
  * debian/tests/control: Added 'Restrictions: superficial' for CI tests.

 -- Filipi Souza <filipi.saci@gmail.com>  Wed, 03 Jun 2020 22:13:29 -0300

binclock (1.5-9) unstable; urgency=medium

  * QA upload.
  * debian/control: added 'Rules-Requires-Root: no' to source stanza.
  * debian/patches/{*.patch}: added headers.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Filipi Souza <filipi.saci@gmail.com>  Tue, 19 May 2020 19:40:28 -0300

binclock (1.5-8) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: created to perform six CI tests.

 -- Filipi Souza <filipi.saci@gmail.com>  Fri, 15 May 2020 18:24:10 -0300

binclock (1.5-7) unstable; urgency=medium

  * QA upload.
  * Dropped CDBS system.
  * debian/docs: created to install README.
  * Set Debian QA Group as maintainer. (see #842557)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Filipi Souza <filipi.saci@gmail.com>  Sat, 09 May 2020 15:07:12 -0300

binclock (1.5-6) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix manpage-has-bad-whatis-entry (Lintian) with patch 10.
  * Thanks a lot Jaari Aalot!
  (Closes: #669577)

 -- Nico Golde <nion@debian.org>  Fri, 20 Apr 2012 07:33:43 +0300

binclock (1.5-5) unstable; urgency=low

  * Bump compat level and debhelper dependency to 7.
  * Make Homepage a real control field.
  * Bump to policy version 3.8.0, no changes needed.
  * Add description to makefile.dpatch

 -- Nico Golde <nion@debian.org>  Tue, 22 Jul 2008 19:06:50 +0200

binclock (1.5-4) unstable; urgency=low

  * Commented out strip in Makefile (included in makefile.dpatch)
    to enable correct functionality for
    DEB_BUILD_OPTIONS=nostrip (Closes: #436587).

 -- Nico Golde <nion@debian.org>  Wed, 08 Aug 2007 16:02:02 +0200

binclock (1.5-3) unstable; urgency=low

  * Changed maintainer address.
  * Bumped standards version, no changes needed.
  * Added Homepage tag to control file.
  * Bumped compat to 5 and changed dependency
  * Removed menu entry, not needed for this text mode
    application here.
  * Fixed copyright file.

 -- Nico Golde <nion@debian.org>  Fri, 16 Mar 2007 12:15:17 +0100

binclock (1.5-2) unstable; urgency=low

  * Fixup upstream Makefile installing files in $HOME on buildtime

 -- Nico Golde <nico@ngolde.de>  Thu, 29 Jul 2004 19:07:26 +0200

binclock (1.5-1) unstable; urgency=low

  * New upstream Release
  * Package building now uses cdbs

 -- Nico Golde <nico@ngolde.de>  Sat, 24 Jul 2004 13:47:04 +0200

binclock (1.4-3) unstable; urgency=low

  * Rebuild with no changes
  * Bug fixed in the changelog file :)
  * Initial Release

 -- Nico Golde <binclock-maint@lists.berlios.de>  Tue, 20 Apr 2004 00:38:10 +0200

=== debian/control ===
Source: binclock
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.ngolde.de/binclock.html
Vcs-Browser: https://salsa.debian.org/debian/binclock
Vcs-Git: https://salsa.debian.org/debian/binclock.git

Package: binclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary clock for console with color support
 BinClock - Displays system time in binary format.
 It supports showing the time with eight different colors, and it can
 run a loop that prints the time every second.
 The default colors and characters for printing can be changed with a
 config file.

=== debian/tests/control ===
Test-Command: binclock --color=off
Restrictions: superficial

Test-Command: binclock -t
Restrictions: superficial

Test-Command: binclock -n
Restrictions: superficial

Test-Command: binclock -h
Restrictions: superficial

Test-Command: binclock -v
Restrictions: superficial

Test-Command: xvfb-run -a binclock -ln --color=off &
Depends: @, xauth, xvfb
Restrictions: superficial

=== debian/watch ===
version=4
http://www.ngolde.de/binclock.html .*(\d\S+)\.tar\.(?:bz2|gz|xz)
